package.json 2.0 KB

1234567891011121314151617181920212223242526272829303132333435363738394041424344454647484950515253545556575859606162636465666768697071
  1. {
  2. "name": "xueyuanwap",
  3. "version": "1.0.0",
  4. "description": "A Vue.js project",
  5. "author": "PerfectIsShit666 <357513086@qq.com>",
  6. "private": true,
  7. "scripts": {
  8. "dev": "webpack-dev-server --inline --progress --config build/webpack.dev.conf.js",
  9. "start": "npm run dev",
  10. "build": "node build/build.js"
  11. },
  12. "dependencies": {
  13. "vue": "^2.5.2",
  14. "vue-class-component": "^7.0.2",
  15. "vue-property-decorator": "^8.1.0",
  16. "vue-router": "^3.0.1"
  17. },
  18. "devDependencies": {
  19. "autoprefixer": "^7.1.2",
  20. "babel-core": "^6.22.1",
  21. "babel-helper-vue-jsx-merge-props": "^2.0.3",
  22. "babel-loader": "^7.1.1",
  23. "babel-plugin-syntax-jsx": "^6.18.0",
  24. "babel-plugin-transform-decorators-legacy": "^1.3.5",
  25. "babel-plugin-transform-runtime": "^6.22.0",
  26. "babel-plugin-transform-vue-jsx": "^3.5.0",
  27. "babel-preset-env": "^1.3.2",
  28. "babel-preset-stage-2": "^6.22.0",
  29. "chalk": "^2.0.1",
  30. "copy-webpack-plugin": "^4.0.1",
  31. "css-loader": "^0.28.0",
  32. "extract-text-webpack-plugin": "^3.0.0",
  33. "file-loader": "^1.1.4",
  34. "friendly-errors-webpack-plugin": "^1.6.1",
  35. "html-webpack-plugin": "^2.30.1",
  36. "node-notifier": "^5.1.2",
  37. "optimize-css-assets-webpack-plugin": "^3.2.0",
  38. "ora": "^1.2.0",
  39. "portfinder": "^1.0.13",
  40. "postcss-import": "^11.0.0",
  41. "postcss-loader": "^2.0.8",
  42. "postcss-url": "^7.2.1",
  43. "rimraf": "^2.6.0",
  44. "semver": "^5.3.0",
  45. "shelljs": "^0.7.6",
  46. "ts-loader": "^3.5.0",
  47. "tslint": "^5.14.0",
  48. "tslint-config-standard": "^8.0.1",
  49. "tslint-loader": "^3.5.4",
  50. "typescript": "^3.3.4000",
  51. "uglifyjs-webpack-plugin": "^1.1.1",
  52. "url-loader": "^0.5.8",
  53. "vue-loader": "^13.3.0",
  54. "vue-style-loader": "^3.0.1",
  55. "vue-template-compiler": "^2.5.2",
  56. "webpack": "^3.6.0",
  57. "webpack-bundle-analyzer": "^2.9.0",
  58. "webpack-dev-server": "^2.9.1",
  59. "webpack-merge": "^4.1.0"
  60. },
  61. "engines": {
  62. "node": ">= 6.0.0",
  63. "npm": ">= 3.0.0"
  64. },
  65. "browserslist": [
  66. "> 1%",
  67. "last 2 versions",
  68. "not ie <= 8"
  69. ]
  70. }